Create Ledger Account
POST
https://api.mpay.com.au/ledger/v1/create
acceptstringGenerated from available response content types
bodyobject
200Successful response.
400<p>Bad Request - the request was malformed or contained invalid parameters.</p>
401<p>Unauthorized - authentication failed, or the API key was missing or invalid.</p>
500<p>Internal Server Error - an unexpected error occurred while processing the request.</p>
curl --request POST \
--url https://api.mpay.com.au/ledger/v1/create \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"ledgerUniqueReference": "CUST-000123",
"name": "Acme Pty Ltd",
"ABN": "51824753556",
"description": "Primary settlement ledger for Acme Pty Ltd",
"automatcherDetails": {
"bsb": "012-345",
"bankAccountNumber": "123456789",
"bankAccountName": "Acme Pty Ltd",
"clientUniqueId": "93bf57eb1e2c42cf8101509b4356741e",
"subMerchantId": "93bf57eb1e2c42cf8101509b4356741e",
"akaNames": [
"Acme Trading",
"Acme Group"
]
}
}'